GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

## SYNOPSIS

    gdcmdiff [options] file-in bitmap-out

## DESCRIPTION

The gdcm2pnm command line program takes as input a DICOM file and produces a rendered bitmap file.

## PARAMETERS

    file-in   DICOM input filename

    bitmap-out  Bitmap output filename

## options

### general options

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

## Simple usage

gdcm2pnm will take as input DICOM and render it into a bitmap file using the window/level attributes value.

    $ gdcm2pnm input.dcm output.png

It is much different from the gdcmraw or gdcmimg command line tool as it will render a DICOM image. This means that the output will be rendered in 8bits ready for display.

## SEE ALSO

gdcm2vtk(1), gdcmimg(1)

## COPYRIGHT

Copyright (c) 2006-2011 Mathieu Malaterre